gnutls_rsa_export_get_pubkey(3)

NAME
gnutls_rsa_export_get_pubkey - This function returns the peer's public key used in RSA-EXPORT authentication

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_rsa_export_get_pubkey(gnutls_session_t session, gnutls_datum_t * exponent, gnutls_datum_t * modulus);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

gnutls_datum_t * exponent
    will hold the exponent.

gnutls_datum_t * modulus
    will hold the modulus.

DESCRIPTION
This function will return the peer's public key exponent and modulus used in the last RSA-EXPORT authentication. The output parameters must be freed with gnutls_free(). Returns a negative value in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.